AbstractXAStatefulHolder (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.common
Class AbstractXAStatefulHolder

    java.lang.Object
      bitronix.tm.resource.common.AbstractXAStatefulHolder

All Implemented Interfaces:
  XAStatefulHolder

Direct Known Subclasses:
  AbstractXAResourceHolder, JmsPooledConnection

    public abstract class AbstractXAStatefulHolder

extends Object
implements XAStatefulHolder

Implementation of all services required by a `XAStatefulHolder`.

Author:
  lorban

Field Summary

Fields inherited from interface bitronix.tm.resource.common.XAStatefulHolder
`STATE_ACCESSIBLE, STATE_CLOSED, STATE_IN_POOL, STATE_NOT_ACCESSIBLE`

Constructor Summary
`AbstractXAStatefulHolder()`

Method Summary
`void` | `addStateChangeEventListener(StateChangeListener listener)` Register an implementation of `StateChangeListener`.
`int` | `getState()` Get the current resource state.
`void` | `removeStateChangeEventListener(StateChangeListener listener)` Unregister an implementation of `StateChangeListener`.
`void` | `setState(int state)` Set the current resource state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface bitronix.tm.resource.common.XAStatefulHolder
`close, getConnectionHandle, getLastReleaseDate, getXAResourceHolders`

Constructor Detail

### AbstractXAStatefulHolder

    public AbstractXAStatefulHolder()

Method Detail

### getState

    public int getState()

  Description copied from interface: `XAStatefulHolder`
  Get the current resource state.

  This method is thread-safe.

  Specified by:
    `getState` in interface `XAStatefulHolder`
  Returns:
    the current resource state.

### setState

    public void setState(int state)

  Description copied from interface: `XAStatefulHolder`
  Set the current resource state.

  This method is thread-safe.

  Specified by:
    `setState` in interface `XAStatefulHolder`
  Parameters:
    `state` - the current resource state.

### addStateChangeEventListener

    public void addStateChangeEventListener(StateChangeListener listener)

  Description copied from interface: `XAStatefulHolder`
  Register an implementation of `StateChangeListener`.

  Specified by:
    `addStateChangeEventListener` in interface `XAStatefulHolder`
  Parameters:
    `listener` - the `StateChangeListener` implementation to register.

### removeStateChangeEventListener

    public void removeStateChangeEventListener(StateChangeListener listener)

  Description copied from interface: `XAStatefulHolder`
  Unregister an implementation of `StateChangeListener`.

  Specified by:
    `removeStateChangeEventListener` in interface `XAStatefulHolder`
  Parameters:
    `listener` - the `StateChangeListener` implementation to unregister.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.